<template>
	<div class="flex-col md:rounded-lg lg:rounded bg-white px-4 md:px-6 lg:px-10 py-6 lg:py-10 mb-2">
		<div class="flex justify-between items-center">
			<div class="flex items-center">
				<MkSuccessIcon aria-label="Payment" />
				<p
					class="font-secondary-font-regular text-xl md:text-2xl leading-6 md:leading-7 lg:leading-8 pl-4 lg:pl-6"
					v-html="page.payment"
				>
				</p>
			</div>
			<div>
				<a
					href="javascript:;"
					role="button"
					class="font-primary-font-bold text-base leading-6 mk-link"
					@keypress.enter="$emit('paymentmethod')"
					@click="$emit('paymentmethod')"
					>Edit</a
				>
			</div>
		</div>
		<p class="font-primary-font-light text-base leading-6 pl-12 md:pl-14 lg:pl-17 pt-7 md:pt-5"> VISA 1234 </p>
		<div
			v-if="value.addressData"
			class="font-primary-font-light text-base leading-6 pl-12 md:pl-14 lg:pl-17 pt-6 md:pt-4"
		>
			<p>
				{{ value.addressData.firstName + ' ' + value.addressData.lastName }}
			</p>
			<p>{{ value.addressData.address1 + ' ' + value.addressData.address2 }}</p>
			<p>
				{{ value.addressData.city + ',' + value.addressData.state + '' + value.addressData.postalCode }}
			</p>
			<p>{{ value.addressData.phoneNumber }}</p>
		</div>
	</div>
</template>
<script>
import MkSuccessIcon from '~/components/D2C/atoms/MkSuccessIcon.vue';
export default {
	name: 'MkCheckoutPaymentSuccess',
	components: {
		MkSuccessIcon,
	},
	props: {
		value: {
			type: Object,
			default: () => {},
		},
		page: {
			type: Object,
			default: () => {},
		},
	},
};
</script>
